Subject: Re: bug#5303: 23.1.91; Cannot load .emacs-history from savehist.el

From: Michael Albinus <[email-masked]>
Date: Wed, 20 Jan 2010 09:44:42 +0100

Eli Zaretskii <[email-masked]> writes:

> Another question is why fd is -2.  That means `openp' detected that
> C:/the-file.el is a ``magic'' file, i.e. it has a file handler.  But
> this happens in a recursive call to `load', the one where, as Michael
> says:
>
>> the last action I can see is disabling Tramp' file name completion
>> handler, and calling `load', again.
>
> It looks like disabling Tramp's file name completion handler does not
> prevent `openp' from thinking that C:/the-file.el has a handler.

Tramp inhibits the file name handler of `load'. `openp' checks for a
file name handler of `file-exists-p', which is not inhibited.

Best regards, Michael.